org.wso2.carbon.governance.api.policies.dataobjects

## Class PolicyImpl

- java.lang.Object
- - org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifactImpl
  - - org.wso2.carbon.governance.api.policies.dataobjects.PolicyImpl

- All Implemented Interfaces:
    GovernanceArtifact, Policy

      public class PolicyImpl
      extends GovernanceArtifactImpl
      implements Policy

  This represents a policy artifact stored on the Registry. Policy artifacts are created as a result of importing or uploading a policy.

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifactImpl

      `attributes, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyImpl(String id, org.wso2.carbon.registry.core.Registry registry)` Constructor accepting resource path, identifier and a registry instance.
    `PolicyImpl(String id, String url)` Constructor accepting resource identifier and the policy URL.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPolicyContent()` Method to obtain the policy element of this policy artifact.
    `QName` | `getQName()` Returns the QName of the artifact.
    `String` | `getUrl()` Method to obtain the policy URL.
    `void` | `loadPolicyDetails()` Method to load the policy details into this artifact.
    `void` | `setName(String name)` Method to set the name of the policy.
    `void` | `setPolicyContent(String policyContent)` Method to set the policy element of this policy artifact.
    `void` | `setQName(QName qName)` Method to set the qualified name of this service artifact.

    - ### Methods inherited from class org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifactImpl

      `addAssociation, addAssociation, addAttribute, addBidirectionalAssociation, addTag, addTags, associateRegistry, attach, attach, attachLifecycle, checkLCItem, checkRegistryResourceAssociation, compareTo, create, create, create, create, createVersion, detach, detachLifecycle, equals, getAllCheckListItemNames, getAllLifecycleActions, getAllVotingItems, getAllVotingItems, getArtifactPath, getAssociatedArtifactIds, getAssociatedRegistry, getAssociations, getAttribute, getAttributeKeys, getAttributes, getCurrentStateDuration, getDependencies, getDependents, getId, getLcName, getLcState, getLifecycleName, getLifecycleNames, getLifecycleState, getLifecycleState, getMediaType, getPath, getPropertyKeys, getUniqueAttributes, invokeAction, invokeAction, isLCItemChecked, isRegistryAwareArtifact, isVoted, isVoted, listTags, removeAssociation, removeAssociation, removeAttribute, removeTag, removeTags, setArtifactPath, setAttribute, setAttributes, setId, setLcName, setLcState, setUniqueAttributes, toString, uncheckLCItem, uniqueTo, unvote, unvote, updatePath, updatePath, vote, vote`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifact

      `addAssociation, addAssociation, addAttribute, addBidirectionalAssociation, addTag, addTags, attach, attach, attachLifecycle, checkLCItem, compareTo, detach, getAllCheckListItemNames, getAllLifecycleActions, getAllVotingItems, getAllVotingItems, getAssociatedArtifactIds, getAssociations, getAttribute, getAttributeKeys, getAttributes, getCurrentStateDuration, getDependencies, getDependents, getId, getLifecycleName, getLifecycleNames, getLifecycleState, getLifecycleState, getMediaType, getPath, getPropertyKeys, invokeAction, invokeAction, isLCItemChecked, isRegistryAwareArtifact, isVoted, isVoted, listTags, removeAssociation, removeAssociation, removeAttribute, removeTag, removeTags, setAttribute, setAttributes, setId, uncheckLCItem, uniqueTo, unvote, unvote, vote, vote`

- - ### Constructor Detail

    - #### PolicyImpl

          public PolicyImpl(String id,
                            org.wso2.carbon.registry.core.Registry registry)
                     throws GovernanceException

      Constructor accepting resource path, identifier and a registry instance. This constructor should be used only when the policy already saved in the registry.
      Parameters:
        `path` - the resource path.
        `id` - the resource identifier.
        `registry` - the registry instance.
      Throws:
        `GovernanceException` - if the construction fails.

    - #### PolicyImpl

          public PolicyImpl(String id,
                            String url)

      Constructor accepting resource identifier and the policy URL.
      Parameters:
        `id` - the resource identifier.
        `url` - the policy URL.

  - ### Method Detail

    - #### getQName

          public QName getQName()

      Description copied from interface: `GovernanceArtifact`
      Returns the QName of the artifact.
      Specified by:
        `getQName` in interface `GovernanceArtifact`
      Returns:
        the QName of the artifact

    - #### getPolicyContent

          public String getPolicyContent()

      Method to obtain the policy element of this policy artifact.
      Specified by:
        `getPolicyContent` in interface `Policy`
      Returns:
        the policy element.

    - #### setPolicyContent

          public void setPolicyContent(String policyContent)

      Method to set the policy element of this policy artifact.
      Specified by:
        `setPolicyContent` in interface `Policy`
      Parameters:
        `policyContent` - the policy element.

    - #### getUrl

          public String getUrl()

      Method to obtain the policy URL.
      Returns:
        the policy URL.

    - #### setName

          public void setName(String name)

      Method to set the name of the policy.
      Parameters:
        `name` - the name of the policy.

    - #### loadPolicyDetails

          public void loadPolicyDetails()
                                 throws GovernanceException

      Method to load the policy details into this artifact.
      Throws:
        `GovernanceException` - if the operation failed.

    - #### setQName

          public void setQName(QName qName)
                        throws GovernanceException

      Method to set the qualified name of this service artifact.
      Specified by:
        `setQName` in interface `GovernanceArtifact`
      Parameters:
        `qName` - the qualified name.
      Throws:
        `GovernanceException` - if the operation failed.

Copyright © 2017 WSO2. All rights reserved.